New: pagination on person search, fuzzy matching, and more. See what's changed →
Whitepages
Person

Search for a person by name, phone number, and address

Retrieve person information with match scores and enriched emails.

GET
/v2/person/

Authorization

ApiKeyAuth

x-api-key<token>

API key for authentication. Get your key from the Whitepages developer portal.

In: header

Query Parameters

phone?Phone Number|Phone Number

Phone number to search for

Example"(216) 676-6366"
Example"216-676-6366"
Example"2166766366"
Example"+1-800-676-6366"
email?Email Address|Email Address

Email address to search for

Example"user@example.com"
name?Name|Name

Full name or partial name match

Example"Marsha Mellow"
Example"Marsha"
Example"Mellow"
first_name?First Name|First Name

First name. Cannot be used with 'name'.

Example"Marsha"
Example"John"
middle_name?Middle Name|Middle Name

Middle name. Cannot be used with 'name'.

Example"Ann"
Example"Michael"
last_name?Last Name|Last Name

Last name. Cannot be used with 'name'.

Example"Mellow"
Example"Smith"
street?Street|Street

Street address including number and name

Example"123 Main St"
Example"Main Street"
city?City|City

Full city name

Example"Anytown"
Example"Seattle"
Example"Los Angeles"
state_code?StateCodeEnum|State Code

2-Letter state code

Example"CA"
Example"NY"
Example"WA"
zipcode?5-Digit ZIP Code|5-Digit ZIP Code

Full 5-digit ZIP code

Example"94102"
Example"98101"
include_historical_locations?Include Historical Locations|Include Historical Locations

Include historical addresses in search

Examplefalse
Exampletrue
min_age?Minimum Age|Minimum Age

Minimum age (18-65)

Example18
Example25
Example30
max_age?Maximum Age|Maximum Age

Maximum age (18-65)

Example35
Example50
Example65
radius?Search Radius|Search Radius

Search radius in miles

Example2.5
Example5
Example10
include_fuzzy_matching?Include Fuzzy Matching|Include Fuzzy Matching

Enable fuzzy name matching to broaden search results

Examplefalse
Exampletrue
page?integer

Page number (1-indexed)

Default1
Range1 <= value <= 10
Example1
Example2
Example3
page_size?integer

Number of results per page

Default15
Range1 <= value <= 15
Example5
Example10
Example15

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.whitepages.com/v2/person/"
{
  "results": [
    {
      "id": "string",
      "name": "string",
      "aliases": [
        "string"
      ],
      "is_dead": true,
      "owned_properties": [
        {
          "id": "string",
          "address": "string"
        }
      ],
      "phones": [
        {
          "number": "string",
          "type": "mobile",
          "score": 0
        }
      ],
      "date_of_birth": "string",
      "linkedin_url": "string",
      "company_name": "string",
      "job_title": "string",
      "relatives": [
        {
          "id": "string",
          "name": "string"
        }
      ],
      "current_addresses": [
        {
          "address_id": "string",
          "full_address": "string",
          "city": "string",
          "state": "string",
          "line1": "string",
          "zip": "string"
        }
      ],
      "historic_addresses": [
        {
          "address_id": "string",
          "full_address": "string",
          "city": "string",
          "state": "string",
          "line1": "string",
          "zip": "string"
        }
      ],
      "match_score": 0,
      "matched_by": [
        "string"
      ],
      "emails": [
        {
          "email": "string",
          "score": 0
        }
      ]
    }
  ],
  "metadata": {
    "result_count": 0,
    "page": 0,
    "page_size": 0
  }
}
{
  "error": {
    "code": 400,
    "message": "Bad Request",
    "long_message": "Invalid person ID format: 'sdf'. Person ID must start with 'P' followed by exactly 10 alphanumeric characters. Example: 'PABcd12345e' or 'P1234567890'.",
    "meta": null
  },
  "wp_trace_id": "3b0b537a60d84057817bb40563ca5c99"
}
{
  "message": "Forbidden"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "message": "Too Many Requests"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}